# Enum Class CLNCoordinateAxisT

java.lang.Object
java.lang.Enum<CLNCoordinateAxisT>
com.io7m.calino.api.CLNCoordinateAxisT

All Implemented Interfaces:
  `CLNDescribableType, Serializable, Comparable<CLNCoordinateAxisT>, Constable`

public enum CLNCoordinateAxisT extends Enum<CLNCoordinateAxisT> implements CLNDescribableType
The texture coordinate T axis. This is typically considered to be analogous to the "height" or Y axis.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AXIS_T_INCREASING_DOWN`
  The T axis increases downward.
  `AXIS_T_INCREASING_UP`
  The T axis increases upward.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CLNCoordinateAxisT`
  `of(String segment)`
  Parse an T axis.
  `static CLNCoordinateAxisT`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CLNCoordinateAxisT[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface CLNDescribableType

  `descriptor`

- ## Enum Constant Details

  - ### AXIS_T_INCREASING_DOWN

    public static final CLNCoordinateAxisT AXIS_T_INCREASING_DOWN
    The T axis increases downward.

  - ### AXIS_T_INCREASING_UP

    public static final CLNCoordinateAxisT AXIS_T_INCREASING_UP
    The T axis increases upward.

- ## Method Details

  - ### values

    public static CLNCoordinateAxisT[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CLNCoordinateAxisT valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### of

    public static CLNCoordinateAxisT of(String segment)
    Parse an T axis.
    Parameters:
      `segment` - The string
    Returns:
      A T axis